Package com.emc.d2fs.services.move_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.move_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.move_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.move_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CopyRequest`
  `createCopyRequest()`
  Create an instance of `CopyRequest`
  `CopyResponse`
  `createCopyResponse()`
  Create an instance of `CopyResponse`
  `LinkRequest`
  `createLinkRequest()`
  Create an instance of `LinkRequest`
  `LinkResponse`
  `createLinkResponse()`
  Create an instance of `LinkResponse`
  `MoveRequest`
  `createMoveRequest()`
  Create an instance of `MoveRequest`
  `MoveResponse`
  `createMoveResponse()`
  Create an instance of `MoveResponse`
  `PasteFolderStructureRequest`
  `createPasteFolderStructureRequest()`
  Create an instance of `PasteFolderStructureRequest`
  `PasteFolderStructureResponse`
  `createPasteFolderStructureResponse()`
  Create an instance of `PasteFolderStructureResponse`
  `PasteRequest`
  `createPasteRequest()`
  Create an instance of `PasteRequest`
  `PasteResponse`
  `createPasteResponse()`
  Create an instance of `PasteResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.move_service

- ## Method Details

  - ### createMoveRequest

    public MoveRequest createMoveRequest()
    Create an instance of `MoveRequest`

  - ### createMoveResponse

    public MoveResponse createMoveResponse()
    Create an instance of `MoveResponse`

  - ### createCopyRequest

    public CopyRequest createCopyRequest()
    Create an instance of `CopyRequest`

  - ### createCopyResponse

    public CopyResponse createCopyResponse()
    Create an instance of `CopyResponse`

  - ### createLinkRequest

    public LinkRequest createLinkRequest()
    Create an instance of `LinkRequest`

  - ### createLinkResponse

    public LinkResponse createLinkResponse()
    Create an instance of `LinkResponse`

  - ### createPasteRequest

    public PasteRequest createPasteRequest()
    Create an instance of `PasteRequest`

  - ### createPasteResponse

    public PasteResponse createPasteResponse()
    Create an instance of `PasteResponse`

  - ### createPasteFolderStructureRequest

    public PasteFolderStructureRequest createPasteFolderStructureRequest()
    Create an instance of `PasteFolderStructureRequest`

  - ### createPasteFolderStructureResponse

    public PasteFolderStructureResponse createPasteFolderStructureResponse()
    Create an instance of `PasteFolderStructureResponse`